/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for SubjectContextFetus
 */
public enum EnumCV_SubjectContextFetus 
{
	//TID 1008 - Subject Context, Fetus
	MOTHER_OF_FETUS_121036("121036"),
	SUBJECT_UID_121028("121028"),
	SUBJECT_ID_121030("121030"),
	FETUS_ID_11951_1("11951-1"),
	NUMBER_OF_FETUSES_BY_US_552810("55281-0"),
	NUMBER_OF_FETUSES_11878_6("11878-6");
	
	private String value;
	
	EnumCV_SubjectContextFetus(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
